---
apiVersion: source.toolkit.fluxcd.io/v1beta2
kind: HelmRepository
metadata:
  name: external-dns
  namespace: default
spec:
  interval: 24h
  url: https://kubernetes-sigs.github.io/external-dns/
---
apiVersion: helm.toolkit.fluxcd.io/v2beta1
kind: HelmRelease
metadata:
  name: external-dns
  namespace: kube-system
spec:
  interval: 30m
  chart:
    spec:
      chart: external-dns
      version: "1.x"
      sourceRef:
        kind: HelmRepository
        name: external-dns
        namespace: default
      interval: 12h
  valuesFrom:
    - name: external-dns-secrets
      kind: Secret
  values:
    provider: digitalocean
    sources: [ingress]
    registry: txt